DROP TABLE CRST_HZ_CONTACT_POINTS;

CREATE TABLE CRST_HZ_CONTACT_POINTS
(
  CONTACT_POINT_ID              NUMBER(15)      NOT NULL,
  CONTACT_POINT_TYPE            VARCHAR2(30 BYTE) NOT NULL,
  STATUS                        VARCHAR2(30 BYTE) NOT NULL,
  OWNER_TABLE_NAME              VARCHAR2(30 BYTE) NOT NULL,
  OWNER_TABLE_ID                NUMBER(15)      NOT NULL,
  PRIMARY_FLAG                  VARCHAR2(1 BYTE),
  ORIG_SYSTEM_REFERENCE         VARCHAR2(240 BYTE),
  LAST_UPDATE_DATE              DATE            NOT NULL,
  LAST_UPDATED_BY               NUMBER(15)      NOT NULL,
  CREATION_DATE                 DATE            NOT NULL,
  CREATED_BY                    NUMBER(15)      NOT NULL,
  LAST_UPDATE_LOGIN             NUMBER(15),
  WH_UPDATE_DATE                DATE,
  REQUEST_ID                    NUMBER(15),
  PROGRAM_APPLICATION_ID        NUMBER(15),
  PROGRAM_ID                    NUMBER(15),
  PROGRAM_UPDATE_DATE           DATE,
  ATTRIBUTE_CATEGORY            VARCHAR2(30 BYTE),
  ATTRIBUTE1                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                    VARCHAR2(150 BYTE),
  ATTRIBUTE3                    VARCHAR2(150 BYTE),
  ATTRIBUTE4                    VARCHAR2(150 BYTE),
  ATTRIBUTE5                    VARCHAR2(150 BYTE),
  ATTRIBUTE6                    VARCHAR2(150 BYTE),
  ATTRIBUTE7                    VARCHAR2(150 BYTE),
  ATTRIBUTE8                    VARCHAR2(150 BYTE),
  ATTRIBUTE9                    VARCHAR2(150 BYTE),
  ATTRIBUTE10                   VARCHAR2(150 BYTE),
  ATTRIBUTE11                   VARCHAR2(150 BYTE),
  ATTRIBUTE12                   VARCHAR2(150 BYTE),
  ATTRIBUTE13                   VARCHAR2(150 BYTE),
  ATTRIBUTE14                   VARCHAR2(150 BYTE),
  ATTRIBUTE15                   VARCHAR2(150 BYTE),
  ATTRIBUTE16                   VARCHAR2(150 BYTE),
  ATTRIBUTE17                   VARCHAR2(150 BYTE),
  ATTRIBUTE18                   VARCHAR2(150 BYTE),
  ATTRIBUTE19                   VARCHAR2(150 BYTE),
  ATTRIBUTE20                   VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY     VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9             VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20            VARCHAR2(150 BYTE),
  EDI_TRANSACTION_HANDLING      VARCHAR2(25 BYTE),
  EDI_ID_NUMBER                 VARCHAR2(30 BYTE),
  EDI_PAYMENT_METHOD            VARCHAR2(30 BYTE),
  EDI_PAYMENT_FORMAT            VARCHAR2(30 BYTE),
  EDI_REMITTANCE_METHOD         VARCHAR2(30 BYTE),
  EDI_REMITTANCE_INSTRUCTION    VARCHAR2(30 BYTE),
  EDI_TP_HEADER_ID              NUMBER(15),
  EDI_ECE_TP_LOCATION_CODE      VARCHAR2(40 BYTE),
  EMAIL_FORMAT                  VARCHAR2(30 BYTE),
  EMAIL_ADDRESS                 VARCHAR2(2000 BYTE),
  BEST_TIME_TO_CONTACT_START    DATE,
  BEST_TIME_TO_CONTACT_END      DATE,
  PHONE_CALLING_CALENDAR        VARCHAR2(30 BYTE),
  CONTACT_ATTEMPTS              NUMBER,
  CONTACTS                      NUMBER,
  DECLARED_BUSINESS_PHONE_FLAG  VARCHAR2(1 BYTE),
  DO_NOT_USE_FLAG               VARCHAR2(1 BYTE),
  DO_NOT_USE_REASON             VARCHAR2(60 BYTE),
  LAST_CONTACT_DT_TIME          DATE,
  PHONE_PREFERRED_ORDER         NUMBER,
  PRIORITY_OF_USE_CODE          VARCHAR2(30 BYTE),
  TELEPHONE_TYPE                VARCHAR2(30 BYTE),
  TIME_ZONE                     NUMBER,
  PHONE_TOUCH_TONE_TYPE_FLAG    VARCHAR2(1 BYTE),
  PHONE_AREA_CODE               VARCHAR2(10 BYTE),
  PHONE_COUNTRY_CODE            VARCHAR2(10 BYTE),
  PHONE_NUMBER                  VARCHAR2(40 BYTE),
  PHONE_EXTENSION               VARCHAR2(20 BYTE),
  PHONE_LINE_TYPE               VARCHAR2(30 BYTE),
  TELEX_NUMBER                  VARCHAR2(50 BYTE),
  WEB_TYPE                      VARCHAR2(60 BYTE),
  URL                           VARCHAR2(2000 BYTE),
  CONTENT_SOURCE_TYPE           VARCHAR2(30 BYTE) NOT NULL,
  RAW_PHONE_NUMBER              VARCHAR2(60 BYTE),
  OBJECT_VERSION_NUMBER         NUMBER,
  CREATED_BY_MODULE             VARCHAR2(150 BYTE),
  APPLICATION_ID                NUMBER,
  TIMEZONE_ID                   NUMBER,
  CONTACT_POINT_PURPOSE         VARCHAR2(30 BYTE),
  PRIMARY_BY_PURPOSE            VARCHAR2(30 BYTE),
  TRANSPOSED_PHONE_NUMBER       VARCHAR2(60 BYTE),
  EFT_TRANSMISSION_PROGRAM_ID   NUMBER(15),
  EFT_PRINTING_PROGRAM_ID       NUMBER(15),
  EFT_USER_NUMBER               VARCHAR2(30 BYTE),
  EFT_SWIFT_CODE                VARCHAR2(30 BYTE),
  ACTUAL_CONTENT_SOURCE         VARCHAR2(30 BYTE) DEFAULT 'USER_ENTERED' NOT NULL,
  CONTACT_POINT_ID_N            NUMBER(15) 
);
